Summary: Miscellanious system utilites
Name: hardhatutils
Version: 1.14
Release: 13.0.0.%{_hhl_build_id}
Source: debianutils_%{version}.tar.gz
Source1: shellconfig.tar.gz
Source2: initdconfig.tar.gz
Source3: start-stop-daemon.tar.gz
Source4: usleep.tar.gz
Source5: hardhatutils.tmpl
Source6: hardhatutils-which.tmpl
Source7: hardhatutils-doc.tmpl
Source8: hhl-sensible-editor
Source9: hhl-sensible-pager
Patch: initdconfig-skeleton.diff
Patch1: mvlutils-mll.diff
Patch2: hardhatutils-nice.diff
License: GPL/Other
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
Provides: /etc/shells
Provides: /bin/sh
Obsoletes : hhl-target-hardhatutils
Obsoletes : hhl-%{_hhl_target_arch}-hardhatutils

%description
Hardhatutils includes mktemp readlink run-parts
sensible-editor sensible-pager tempfile usleep initdconfig
shellconfig start-stop-daemon.


%package -n hardhatutils-which
Summary: Miscellanious system utilites
Group: base
Requires: bash
Conflicts: which
Obsoletes : hhl-%{_hhl_target_arch}-hardhatutils-which

%description -n hardhatutils-which
An alternative which command written in bash script.      


%package -n hardhatutils-doc
Summary: Miscellanious system utilites
Group: base
Obsoletes : hhl-%{_hhl_target_arch}-hardhatutils-doc

%description -n hardhatutils-doc
This package includes the documentation for hardhatutils.


%prep
%target_check
%setup -q -a 1 -a 2 -a 3 -a 4 -n debianutils-1.14
%patch1 -p1
%patch2 -p1
cd initdconfig
%patch -p0

%build
%target_setup

%make all | tee -a build.log

(cd shellconfig ;
 %{_hhl_target_toolprefix}gcc -DTARGETDIR=\"\" -o shellconfig shellconfig.c)

(cd initdconfig ;
 %{_hhl_target_toolprefix}gcc -DTARGETDIR=\"\" -o initdconfig initdconfig.c)

(cd start-stop-daemon ;
 CC=%{_hhl_target_toolprefix}gcc make)

(cd usleep ;
 %{_hhl_target_toolprefix}gcc -o usleep usleep.c)


%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_exec_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/bin
for ANum in 1 2 3 4 5 6 7 8 8; do
	mkdir -p mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man${ANum}
	for AFile in *.${ANum}; do
		test -f $AFile && \
		gzip -9 -c < $AFile > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man${ANum}/${AFile}.gz
	done
done
install -m 755 savelog which sensible-editor sensible-pager %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
install -d %{buildroot}%{_hhl_cross_target_dir}/bin
ln -s ../usr/bin/sensible-editor %{buildroot}%{_hhl_cross_target_dir}/bin/vi
install -m 755 readlink run-parts tempfile mktemp %{buildroot}%{_hhl_cross_target_dir}/bin

install -m 755 shellconfig/shellconfig %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/.
ln -s shellconfig %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/%{_hhl_target_toolprefix}shellconfig
install -m 755 initdconfig/initdconfig %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/.
ln -s initdconfig %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/%{_hhl_target_toolprefix}initdconfig
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin
install -m 755 start-stop-daemon/start-stop-daemon %{buildroot}%{_hhl_cross_target_dir}/sbin/.
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/bin
install -m 755 usleep/usleep %{buildroot}%{_hhl_cross_target_dir}/bin/.
cp debian/copyright LICENSE
install -m 755 %{SOURCE8} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sensible-editor
install -m 755 %{SOURCE9} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sensible-pager
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
ln -s sensible-editor %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/editor
ln -s sensible-pager %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/pager
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE5} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hardhatutils
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE6} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hardhatutils-which
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE7} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hardhatutils-doc

%clean
rm -rf %{buildroot}


%files -n hardhatutils
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/usleep
%{_hhl_cross_target_dir}/bin/readlink
%{_hhl_cross_target_dir}/bin/run-parts
%{_hhl_cross_target_dir}/bin/tempfile
%{_hhl_cross_target_dir}/bin/mktemp
%{_hhl_cross_target_dir}/bin/vi
%{_hhl_cross_target_dir}/sbin/start-stop-daemon
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sensible-editor
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/editor
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sensible-pager
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/pager
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/savelog

%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/shellconfig
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/%{_hhl_target_toolprefix}shellconfig

%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/initdconfig
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/%{_hhl_target_toolprefix}initdconfig
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hardhatutils
%doc LICENSE

%files -n hardhatutils-which
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/which
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/which.1.gz
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hardhatutils-which


%files -n hardhatutils-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/mktemp.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/readlink.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/sensible-editor.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/tempfile.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/installkernel.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mkboot.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/run-parts.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/savelog.8.gz
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hardhatutils-doc


%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Fri Feb 23 2001 Charles Duffy <source@mvista.com>
- First cut


